/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.twitter.internal.util;

import com.liferay.portal.kernel.json.JSONArray;

/**
 * @author Shinn Lok
 * @author Peter Fellwock
 */
public class TimelineProcessorUtil {

	public static TimelineProcessor getInstance() {
		if (_timelineProcessor == null) {
			_timelineProcessor = new HttpTimelineProcessor();
		}

		return _timelineProcessor;
	}

	public static JSONArray getUserTimelineJSONArray(
		String twitterScreenName, long sinceId) {

		return getInstance().getUserTimelineJSONArray(
			twitterScreenName, sinceId);
	}

	private static TimelineProcessor _timelineProcessor;

}