/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.twitter.model.impl;

import aQute.bnd.annotation.ProviderType;

import com.liferay.twitter.model.Feed;
import com.liferay.twitter.service.FeedLocalServiceUtil;

/**
 * The extended model base implementation for the Feed service. Represents a row in the &quot;Twitter_Feed&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link FeedImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see FeedImpl
 * @see Feed
 * @generated
 */
@ProviderType
public abstract class FeedBaseImpl extends FeedModelImpl implements Feed {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this class directly. All methods that expect a feed model instance should use the {@link Feed} interface instead.
	 */
	@Override
	public void persist() {
		if (this.isNew()) {
			FeedLocalServiceUtil.addFeed(this);
		}
		else {
			FeedLocalServiceUtil.updateFeed(this);
		}
	}
}